# TODO:
# - Package icu-sword and add bcond for it here
#
# Conditional build:
%bcond_without	clucene		# Lucene searching support
%bcond_without	curl		# manager support using libcurl
%bcond_without	cxx11		# C++11 regex support
%bcond_without	icu		# ICU for Unicode
%bcond_with	icusword	# custom SWORD ICU
%bcond_without	utilities	# sword utilities

%define debug_package 0

Summary:	The SWORD Project framework for manipulating Bible texts
Summary(pl.UTF-8):	Szkielet projektu SWORD do pracy nad tekstami biblijnymi
Name:		sword
Version:	1.9.0
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.9/%{name}-%{version}.tar.gz
# Source0-md5:	7b86ab627993ef295307e3729d8edef2
URL:		http://www.crosswire.org/sword
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	cppunit-devel >= 1.8.0
%{?with_clucene:BuildRequires:	clucene-core-devel >= 2.3}
%{?with_curl:BuildRequires:	curl-devel}
#%{?with_icu:BuildRequires:	icu}
%{?with_icusword:BuildRequires:	icu-sword}
%{?with_icu:BuildRequires:	libicu-devel}
BuildRequires:	libstdc++-devel %{?with_cxx11:>= 6:4.7}
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pakchois-devel
BuildRequires:	pkgconfig >= 1:0.14
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
%{?with_clucene:Requires:	clucene-core >= 2.3}
%{?with_curl:Requires:	curl}
%{?with_icu:Requires:	icu}
%{?with_icusword:Requires:	icu-sword}
Requires:	wwwbrowser
Requires:	zlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SWORD Project creates cross-platform open-source tools that allow
programmers and Bible societies to write new Bible software more
quickly and easily. The SWORD Bible Framework allows easy manipulation
of Bible texts, commentaries, lexicons, dictionaries, etc. Many
frontends are built using this framework. An installed module set may
be shared between any frontend using the framework.

%description -l pl.UTF-8
Projekt SWORD tworzy wieloplatformowe, mające otwarte źródła narzędzia
pozwalające programistom oraz badaczom biblijnym pisać nowe
oprogramowanie biblijne szybciej i łatwiej. Szkielet biblijny SWORD
pozwala na łatwe operowanie na biblijnych tekstach, komentarzach,
leksykonach, słownikach itp. W oparciu o ten szkielet powstaje wiele
interfejsów użytkownika. Zainstalowany zestaw modułów może być łatwo
współdzielony między interfejsami.

%package utilities
Summary:	Utility programs that use the sword library
Summary(pl.UTF-8):	Programy narzędziowe wykorzystujące bibliotekę sword
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Provides:	diatheke

%description utilities
Utility programs that use the sword library.

%description utilities -l pl.UTF-8
Programy narzędziowe wykorzystujące bibliotekę sword.

%package devel
Summary:	Include files for developing sword applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji sword
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.10.5
Requires:	zlib-devel

%description devel
Include files for developing sword applications. This package is
required to compile Sword frontends, too.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania plikacji sword. Ten pakiet jest
wymagany także do kompilowania interfejsów użytkownika sword.

%package static
Summary:	Static library for developing sword applications
Summary(pl.UTF-8):	Biblioteka statyczna do rozwijania aplikacji sword
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for developing sword applications.

%description static -l pl.UTF-8
Biblioteka statyczna do rozwijania aplikacji sword.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-conf \
	--with-clucene%{!?with_clucene:=no} \
	--with-curl%{!?with_curl:=no} \
	%{?with_cxx11:--with-cxx11regex} \
	--with-icu%{!?with_icu:=no} \
	%{?with_icusword:--with-icusword} \
	--disable-debug \
	--disable-dependency-tracking \
	--disable-examples \
	--disable-tests \
	--enable-utilities%{!?with_utilities:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-strip \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install_config \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsword.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%attr(755,root,root) %{_libdir}/libsword-%{version}.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sword.conf
%dir %{_datadir}/sword
%dir %{_datadir}/sword/mods.d
%dir %{_datadir}/sword/locales.d
%{_datadir}/sword/mods.d/globals.conf
%{_datadir}/sword/locales.d/*.conf

%files utilities
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/diatheke
%attr(755,root,root) %{_bindir}/emptyvss
%attr(755,root,root) %{_bindir}/imp2gbs
%attr(755,root,root) %{_bindir}/imp2ld
%attr(755,root,root) %{_bindir}/imp2vs
%attr(755,root,root) %{_bindir}/installmgr
%attr(755,root,root) %{_bindir}/mkfastmod
%attr(755,root,root) %{_bindir}/mod2imp
%attr(755,root,root) %{_bindir}/mod2osis
%attr(755,root,root) %{_bindir}/mod2vpl
%attr(755,root,root) %{_bindir}/mod2zmod
%attr(755,root,root) %{_bindir}/osis2mod
%attr(755,root,root) %{_bindir}/tei2mod
%attr(755,root,root) %{_bindir}/vpl2mod
%attr(755,root,root) %{_bindir}/vs2osisref
%attr(755,root,root) %{_bindir}/vs2osisreftxt
%attr(755,root,root) %{_bindir}/xml2gbs

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libsword.so
%{_includedir}/sword
%{_pkgconfigdir}/sword.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsword.a
%changelog
* Fri Jun 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sword.git;a=log;h=master

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 9670b86
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 31f16a5
- icu rebuild

* Sun Aug 15 2021 Jan Rękorajski <baggins@pld-linux.org> b4a374c
- up to 1.9.0

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 77aacd8
- icu 67 rebuild
- release 6 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> dbc2816
- rebuild with icu 65.1
- release 5 (by relup.sh)

* Sat Apr 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 7abe340
- release 4, rebuild against icu 64

* Sat Apr 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 0974b29
- release 4, rebuild against icu 64

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 2a3c71d
- release 3 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> dea0b34
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 7b7a43d
- updated to 1.7.4
- removed obsolete curl patch
- rebuild auto* for as-needed to work
- pl

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 3f51649
- icu-57.1 rebuild
- release 5 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 0ecb923
- release 4 (by relup.sh)

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 8dc8da0
- release 3 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 115df1b
- icu rebuild
- release 2 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 4211460
- updated to 1.7.3
- xulrunner deps removed, there is no reference to it in source
- cleaned up spec

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ca08c35
- release 12 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9809023
- release 11 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 61b1ebf
- release 10 (by relup.sh)

* Wed Nov 21 2012 Jan Rękorajski <baggins@pld-linux.org> 44e0ecb
- release 9 (by relup.sh)

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b82dc9
- release 8 (by relup.sh)

